﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using AutoCompleteSample.Model;
using AutoCompleteSample.Repository;

namespace AutoCompleteSample.service
{
    public class CustomerService
    {
        private CustomerRepoMock _repository;
        
        public CustomerService()
        {
            _repository = new CustomerRepoMock();
        }

        public ObservableCollection<Customer> GetCustomerByName(string filter)
        {
            ObservableCollection<Customer> _data = new ObservableCollection<Customer>();

            _repository
                    .GetCustomerByName(filter)
                    .ForEach(item=>{
                        _data.Add(item);
                    });

            return _data;
        }
    }
}
